Public Member Functions | Data Fields

# ExpensesList Struct Reference

Expense list container. More...

## Public Member Functions
| ExpensesList (ExpensesType *et, int length, int num_subtotals)
uint | GetHeight () const
uint | GetCategoriesWidth () const
| Compute width of the expenses categories in pixels.
## Data Fields
const ExpensesType * | et
| Expenses items.
const uint | length
| Number of items in list.
const uint | num_subtotals
| Number of sub-totals in the list.

## Detailed Description

Expense list container.

Definition at line 87 of file company_gui.cpp.

## Member Function Documentation

uint ExpensesList::GetCategoriesWidth | ( |  | ) | const`[inline]`

Compute width of the expenses categories in pixels.

Definition at line 103 of file company_gui.cpp.

References et, GetStringBoundingBox(), INVALID_EXPENSES, length, and max().

Referenced by CompanyFinancesWindow::UpdateWidgetSize().

The documentation for this struct was generated from the following file:

- src/company_gui.cpp